Page MenuHomePhabricator

Creating an external link with no text selected results in a link labelled "null"
Closed, ResolvedPublic1 Story Points

Description

When adding an external link using the link inspector without any text selection, the result is that a link with the label "null" is created which is unexpected.
A more meaningful label can be done, either by:

  • Using a number between brackets (e.g., "[1]") as VisualEditor does.
  • Using the URL also as the label.

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2015, 2:43 PM
Arrbee set Security to None.
Amire80 triaged this task as High priority.Jul 23 2015, 5:55 PM
santhosh claimed this task.Jul 27 2015, 4:58 AM
santhosh added a project: LE-CX6-Sprint 1.
santhosh moved this task from Backlog to In Review on the LE-CX6-Sprint 1 board.

Change 227182 had a related patch set uploaded (by Santhosh):
Fix: Creating an external link with no text selected results link label as "null"

https://gerrit.wikimedia.org/r/227182

Change 227182 merged by jenkins-bot:
Fix: Creating an external link with no text selected results link label as "null"

https://gerrit.wikimedia.org/r/227182

Amire80 closed this task as Resolved.Jul 27 2015, 2:17 PM
Amire80 moved this task from In Review to Done on the LE-CX6-Sprint 1 board.
Amire80 removed a project: Patch-For-Review.
Amire80 edited a custom field.Jul 27 2015, 4:20 PM
Amire80 moved this task from Bugs to Links on the ContentTranslation-Release6 board.